symbox {car} | R Documentation

## Boxplots for transformations to symmetry

### Description

`symbox` first transforms `x` to each of a series of selected powers, with each transformation standardized to mean 0 and standard deviation 1. The results are then displayed side-by-side in boxplots, permiting a visual assessment of which power makes the distribution reasonably symmetric.

### Usage

    symbox(x, ...)
    ## S3 method for class 'formula'
    symbox(formula, data=NULL, subset, na.action=NULL, ylab,  ...)
    ## Default S3 method:
    symbox(x, powers = c(-1, -0.5, 0, 0.5, 1), start=0,
    	trans=bcPower, xlab="Powers", ylab, ...)

### Arguments

`x` | a numeric vector.
`formula` | a one-sided formula specifying a single numeric variable.
`data, subset, na.action` | as for statistical modeling functions (see, e.g., `lm`).
`xlab, ylab` | axis labels; if `ylab` is missing, a label will be supplied.
`powers` | a vector of selected powers to which `x` is to be raised. For meaningful comparison of powers, `1` should be included in the vector of powers.
`start` | a constant to be added to `x`.
`trans` | a transformation function whose first argument is a numeric vector and whose second argument is a transformation parameter, given by the `powers` argument; the default is `bcPower`, and another possibility is `yjPower`.
`...` | arguments to be passed down.

### Value

as returned by `boxplot`.

### Author(s)

Gregor Gorjanc, John Fox jfox@mcmaster.ca, and Sanford Weisberg.

### References

Fox, J. and Weisberg, S. (2011) An R Companion to Applied Regression, Second Edition. Sage.

### See Also

`boxplot`, `boxcox`, `bcPower`, `yjPower`

### Examples

    symbox(~ income, data=Prestige)

[Package car version 2.1-6 Index]